
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>关于计算机中的《补码》，公式：-n=~n+1 引伸：~n=-n-1 / 憋错料</title>

    <meta name="description" content="关于计算机中的《补码》，公式：-n=~n+1 引伸：~n=-n-1 在计算机系统中,数值一律用补码来表示(存储).主要原因是使用补码可以将符号位和其他位统一处理:同时,减法也可以按加法来处理.另外,两个用补码表示的数相加时,如果最高位(符号位)有进位,则进位被舍弃.补码跟源码的转换过程几乎是相同的. 补码概述 求给定数值的补码表示分以下两种情况: ⑴正数的补码 与 原码 相同. [例1]+9的补码是00001001.(备注:这个+9的补码说的是用8位的2进制来表示补码的,补码表示方式很多,还有16位2进制补码表示形式,以及32位2进制补码表示形式等.) ⑵负数的">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">关于计算机中的《补码》，公式：-n=~n+1 引伸：~n=-n-1</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>在计算机系统中，数值一律用补码来表示（存储）。主要原因是使用补码可以将符号位和其他位统一处理；同时，减法也可以按加法来处理。另外，两个用补码表示的数相加时，如果最高位（符号位）有进位，则进位被舍弃。补码跟源码的转换过程几乎是相同的。</p>
<h2>补码概述</h2>
<p>　　求给定数值的补码表示分以下两种情况：</p>
<h3>⑴正数的补码</h3>
<p>　　与 <a href="http://baike.baidu.com/view/60480.htm" rel="external nofollow noreferrer">原码</a> 相同。 　　【例1】+9的补码是00001001。（备注：这个+9的补码说的是用8位的2进制来表示补码的，补码表示方式很多，还有16位2进制补码表示形式，以及32位2进制补码表示形式等。）</p>
<h3>⑵负数的补码</h3>
<p>　　负数的补码是对其原码逐位取反，但符号位除外；然后整个数加1。 　 　同一个数字在不同的补码表示形式里头，是不同的。比方说-15的补码，在8位2进制里头是11110001，然而在16位2进制补码表示的情况下，就成 了1111111111110001。在这篇补码概述里头涉及的补码转换默认把一个数转换成8位2进制的补码形式，每一种补码表示形式都只能表示有限的数 字。 　　【例2】求-7的补码。 　　因为给定数是负数，则符号位为&ldquo;1&rdquo;。 　　后七位：-7的原码（10000111）&rarr;按位取反（11111000）（负数符号位不变）&rarr;加1(11111001) 　　所以-7的补码是11111001。 　　已知一个数的补码，求原码的操作分两种情况： 　　⑴如果补码的符号位为&ldquo;0&rdquo;，表示是一个正数，其原码就是补码。 　　⑵如果补码的符号位为&ldquo;1&rdquo;，表示是一个负数，那么求给定的这个补码的补码就是要求的原码。 　　再举一个例子：求-64的补码 　　+64：01000000 　　11000000 　　【例3】已知一个补码为11111001，则原码是10000111（-7）。 　　因为符号位为&ldquo;1&rdquo;，表示是一个负数，所以该位不变，仍为&ldquo;1&rdquo;。 　　其余七位1111001取反后为0000110； 　　再加1，所以是10000111。 　　在&ldquo;闲扯原码、 <a href="http://baike.baidu.com/view/742694.htm" rel="external nofollow noreferrer">反码</a> 、补码&rdquo;文件中，没有提到一个很重要的概念&ldquo;模&rdquo;。我在这里稍微介绍一下&ldquo;模&rdquo; 　　的概念： 　　&ldquo;模&rdquo;是指一个计量系统的计数范围。如时钟等。 <a href="http://baike.baidu.com/view/3314.htm" rel="external nofollow noreferrer">计算机</a> 也可以看成一个计量机器，它也有一个计量范 　　围，即都存在一个&ldquo;模&rdquo;。例如： 　　时钟的计量范围是0～11，模=12。 　　表示n位的计算机计量范围是0～2^(n)-1，模=2^(n）。 　　&ldquo;模&rdquo;实质上是计量器产生&ldquo;溢出&rdquo;的量，它的值在计量器上表示不出来，计量器上只能表示出模的 　　余数。任何有模的计量器，均可化减法为加法运算。 　　例如：假设当前时针指向10点，而准确时间是6点，调整时间可有以下两种拨法： 　　一种是倒拨4小时，即：10-4=6 　　另一种是顺拨8小时：10+8=12+6=6 　　在以12模的系统中，加8和减4效果是一样的，因此凡是减4运算，都可以用加8来代替。 　　对&ldquo;模&rdquo;而言，8和4互为补数。实际上以12模的系统中，11和1，10和2，9和3，7和5，6和6都有这个特 　　性。共同的特点是两者相加等于模。 　　对于计算机，其概念和方法完全一样。n位计算机，设n=8， 所能表示的最大数是11111111，若再 　　加1称为100000000(9位），但因只有8位，最高位1自然丢失。又回了00000000，所以8位 <a href="http://baike.baidu.com/view/3421792.htm" rel="external nofollow noreferrer">二进制系统</a> 的 　　模为2^8。在这样的系统中减法问题也可以化成加法问题，只需把减数用相应的补数表示就可以 　　了。把补数用到计算机对数的处理上，就是补码。 　　另外两个概念 　　一的补码（one‘s complement) 指的是正数=原码，负数=反码 　　而二的补码（two‘s complement) 指的就是通常所指的补码。 　　小数补码求法：一种简单的方式，符号位保持1不变，数值位从右边数第一个1及其右边的0保持不变，左边按位取反。</p>
<h3>⑶.补码的绝对值（称为真值）</h3>
<p>　　【例4】-65的补码是10111111 　　若直接将10111111转换成十进制，发现结果并不是-65，而是191。 　　事实上，在计算机内，如果是一个 <a href="http://baike.baidu.com/view/18536.htm" rel="external nofollow noreferrer">二进制</a> 数，其最左边的位是1，则我们可以判定它为负数，并且是用补码表示。 　　若要得到一个负二进制数的绝对值（称为真值），只要各位（不包括符号位）取反，再加1，就得到真值。 　　如：二进制值：10111111（-65的补码） 　　各位取反：01000000 　　加1：01000001（+65的补码）</p>
<h2><a href="http://baike.baidu.com/view/377340.htm" rel="external nofollow noreferrer">编辑本段</a>代数加减运算</h2>
<h3>1、补码加法</h3>
<p>　　[X+Y]补 = [X]补 + [Y]补 　　【例5】X=+0110011,Y=-0101001，求[X+Y]补 　　[X]补=00110011 [Y]补=11010111 　　[X+Y]补 = [X]补 + [Y]补 = 00110011+11010111=00001010 　　注：因为 <a href="http://baike.baidu.com/view/3314.htm" rel="external nofollow noreferrer">计算机</a> 中运算器的位长是固定的，上述运算中产生的最高位进位将丢掉，所以结果不是 　　100001010，而是00001010。</p>
<h3>2、补码减法</h3>
<p>　　[X-Y]补 = [X]补 - [Y]补 = [X]补 + [-Y]补 　　其中[-Y]补称为负补，求负补的方法是：负数的绝对值的 <a href="http://baike.baidu.com/view/60480.htm" rel="external nofollow noreferrer">原码</a> 所有位按位取反；然后整个数加1。（恢复本来解释。请路人真正理解并实际验证后再修改。以免误导大众。另外，例6不具典型性，新增例7。） 　　【例6】1+（-1) [十进制] 　　1的原码00000001 转换成补码：00000001 　　-1的原码10000001 转换成补码：11111111 　　1+（-1)=0 　　00000001+11111111=00000000 　　00000000转换成十进制为0 　　0=0所以运算正确。 　　【例7增】-7-（-10) [十进制] 　　-7的补码：11111001 　　-10的补码：11110110 　　-（-10）：按位取反再加1实际上就是其负值的补码，为00001010 　　-7 - （-10)= -7 + 10 = 3 　　11111001+00001010 = 00000011 　　转换成十进制为3</p>
<h3>3、补码乘法</h3>
<p>　　设被乘数【X】补=X0.X1X2&hellip;&hellip;Xn-1，乘数【Y】补=Y0.Y1Y2&hellip;&hellip;Yn-1, 　　【X*Y】补=【X】补&times;【Y】补，即乘数（被乘数）相乘的补码等于补码的相乘。</p>
<h2><a href="http://baike.baidu.com/view/377340.htm" rel="external nofollow noreferrer">编辑本段</a>代数解释</h2>
<p>　　任何一个数都可以表示为-a=2^(n-1)-2^(n-1)-a; 　　这个假设a为正数，那么-a就是负数。而根据二进制转十进制数的方法，我们可以把a表示为：a=k0*2^0+k1*2^1+k2*2^2+&hellip;&hellip;+k(n-2)*2^(n-2），第（n-1）位为符号位不计算在内。 　 　这里k0,k1,k2,k(n-2）是1或者0，而且这里设a的二进制位数为n位，即其模为2^(n-1），而2^(n-1）其二项展开 是：1+2^0+2^1+2^2+&hellip;&hellip;+2^(n-2），而式子：-a=2^(n-1)-2^(n-1)-a中，2^(n-1)-a代入 a=k0*2^0+k1*2^1+k2*2^2+&hellip;&hellip;+k(n-2)*2^(n-2）和2^(n-1)=1+2^0+2^1+2^2+&hellip;&hellip;+2^(n- 2）两式，2^(n-1)-a=(1-k(n-2))*2^(n-2)+(1-k(n-3))*2^(n-3)+&hellip;&hellip;+(1-k2)*2^2+(1- k1)*2^1+(1-k0)*2^0+1，而这步转化正是取反再加1的规则的代数原理所在。因为这里k0,k1,k2,k3&hellip;&hellip;不是0就是1，所以 1－k0,1-k1,1-k2的运算就是二进制下的取反，而为什么要加1，追溯起来就是2^(n-1）的二项展开式最后还有一项1的缘故。而 -a=2^(n-1)-2^(n-1)-a中，还有-2^(n-1）这项未解释，这项就是补码里首位的1，首位1在转化为十进制时要乘上2^(n-1）， 这正是n位 <a href="http://baike.baidu.com/view/3871086.htm" rel="external nofollow noreferrer">二进制的</a> 模。 　　不能贴公式，所以看起来很麻烦，如果写成代数式子看起来是很方便的。</p>
<p>　　注：n位<a href="http://baike.baidu.com/view/18536.htm" rel="external nofollow noreferrer">二进制</a>，最高位为符号位，因此表示的数值范围-2^(n-1) &mdash;&mdash;2^(n-1) -1，所以模为2^(n-1）。上面提到的8位二进制模为2^8是因为最高位非符号位，表示的数值范围为0&mdash;&mdash;2^8-1。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 14:17:20 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>关于计算机中的《补码》，公式：-n=~n+1 引伸：~n=-n-1的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YrBGa3.html" rel="bookmark">C&plus;&plus;中的补码公式与位域</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C++中的补码公式与位域: 代码很简单就不多说: 补码公式: #include &lt;iostream&gt; using namespace std; void operator_1(void); void operator_2(void); void operator_3(void); int main(void) { /* -x = ~x+1 = ~(x-1) ~x = -x-1 -(~x) = x+1 ~(-x) = x-1 x+y = x - ~y-1 = (x|y) + (x&amp;y)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/9MBzJqM.html" rel="bookmark">计算机中数字的二进制存储形式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天,做个关于二进制的算法题,突然有个问题一直想不通为什么~5是6,计算机基础知识不过关啊,所以现在来弥补下,正数和负数在计算机中是怎么存储和计算的. 讲讲计算机中的存储形式: 计算机中存储的数都是以补码的方式存储的,而正数的原码,反码,补码都是一样的.但是负数的原码,反码,补码是不一样的. 下面都是以java中的int i=5为例. 正数5的原码就是其二进制码:00000000 00000000 00000000 00000101 反码是:00000000 00000000 00000000			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YQOLy0.html" rel="bookmark">负数在计算机中的存储</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				负数在计算机中以补码的形式存储,最高位1为负数,0为正数,补码的方式方便进行加法运算. byte类型数值范围-128到127. 最高位是标志位,127二进制为01111111,则-127为10000001,-128=-127-1,所以其二进制为10000000 byte b=11111111;正数表现形式:00000001,即b=-1; 正数取反加1为其负数表现形式,那么负数取反加1会得到起它的正数形式吗? 例:-3=1111 1101 ;取反后为:0000 0010 ; 加1:0000 001			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lGAwNM.html" rel="bookmark">计算机中的原码&comma;反码&comma;补码与移码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在计算机内,定点数有3种表示法:原码.反码和补码. 原码:就是二进制定点表示法,即最高位为符号位,0表示正,1表示负,其余位表示数值的大小 反码:正数的反码与其原码相同:负数的反码是对其原码逐位取反,但符号位除外.       原码10010=反码11101(10010,1为符号位,故为负) 补码:正数的补码与原码相同,负数的补码是对其原码逐位取反,但符号位除外,然后整个数加1 如果补码的符号位为0,则表示一个正数,其原码就是补码如果补码的符号位为1,则表示一个负数 移码:移码与补码的关系: [			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGPEXA0.html" rel="bookmark">原码、反码、补码，计算机中负数的表示</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原码:将一个整数,转换成二进制,就是其原码.                如单字节的5的原码为:0000 0101:-5的原码为1000 0101. 反码:正数的反码就是其原码:负数的反码是将原码中,除符号位以外,每一位取反.                如单字节的5的反码为:0000 0101:-5的反码为1111 1010. 补码:正数的补码就是其原码:负数的反码+1就是补码.                如单字节的5的补码为:0000 0101:-5的原码为1111 1011. 在计			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLWqek4.html" rel="bookmark">计算机中的整数（原码、反码、补码）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				系统中所有的信息——包括磁盘文件.存储器中的程序存储器中存放的用户数据以及网上落上传送的数据,都是由一串位表示的.区分不同数据对象的唯一方法是我们读到这些数据对象时的上下文.比如,在不同的上下文中,一个同样的字节序列可能表示一个整数.浮点数.字符串或者机器指令. 计算机中的整数可以分为无符号整数和有符号整数两种类型.无符号整数不存在正负之分,在计算机中以其二进制真值的形式存放.而有符号整数由于有正负数的区分,表示相对复杂. 计算机中的符号数有三种表示方法,即原码.反码和补码.三种表示方法均有符号			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Qwj2Q0.html" rel="bookmark">计算机中的原码、反码和补码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				看到这个标题,很多人有话要说了,切!这个东西每一本计算机基础知识的书中都有介绍的,你还拿出来Show什么嘛!我的原则是你需要就来看一看,懂就不要去理会,倒也不必讽刺两句,我相信总有需要它的人.当初我看书是没看明白的,在网上查了好多资料才有所悟. 前几天跟老婆讲原码.反码和补码的知识,老婆似懂非懂,在这里我发表一下我个人的意见,浅显的把我所理解的原码.反码和补码的知识总结一下,一来可以给不懂的人来点启示,二来也可以方便老婆以后记忆复习.理解有不对的地方希望大家予以指出,谢谢! 大家都知道数据在计算			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NWgOZM.html" rel="bookmark">关于计算机中补码的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				计算机中的有符号数有三种表示方法,即原码.反码和补码. 三种表示方法均有符号位和数值位两部分,符号位都是用0表示“正”,用1表示“负”: 而数值位,三种表示方法各不相同. 在计算机系统中,数值一律用补码来表示和存储. 原因在于,使用补码,可以将符号位和数值域统一处理,同时,加法和减法也可以统一处理. 接下来,来看一看原码.反码和补码到底是什么,以及它们之间的转换关系. 原码: 是一种计算机中对数字的二进制定点表示方法. 原码表示法在数值前面增加了一位符号位(即最高位为符号位):正数该位为0,负数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXYbk80.html" rel="bookmark">负数在计算机中的表示 Byte-128</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://blog.csdn.net/njuitjf/article/details/4585247 今天,老大让我调查一个浮点数转换为整数的问题.自己就查了些资料,顺便复习一下原码.反码和补码. 原码:将一个整数,转换成二进制,就是其原码.如单字节的5的原码为:0000 0101:-5的原码为1000 0101. 反码:正数的反码就是其原码:负数的反码是将原码中,除符号位以外,每一位取反.如单字节的5的反码为:0000 0101:-5的原码为1111 1010. 补码:正数的补码就是其原码			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/kMLBmO3.html" rel="bookmark" class="title">selenium2自动化测试实战笔记</a>
					<div>
						安装 pip install selenium web phantomjs下载 :http://phantomjs.org/download.html 浏览器驱动下载:http://www.selen ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/w3vGlj4.html" rel="bookmark" class="title">类目&comma;延展&comma;协议的基本概念</a>
					<div>
						Catgory(类目/分类) 1.分类是给原有类添加方法,它只能添加方法,不能添加属性(成员变量) 2.分类中定义@property,只会生成setter/getter方法的声明,没有方法的实现以及私 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nEaLoM.html" rel="bookmark" class="title">CF &num;328div2 D</a>
					<div>
						这题不难,当时想出来了,可是却写不出来~~ 现在慢慢写回来,也写得好挫~ 可以知道,被攻击的城市必定可以组成一棵树,然后,传送到的点必定也是城市之一.如果出发后回到原点,则需要2E,E是树的边数,则2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YXVnaM.html" rel="bookmark" class="title">C&num;工业物联网和集成系统解决方案的技术路线（数据源、数据采集、数据上传与接收、ActiveMQ、Mongodb、WebApi、手机App）</a>
					<div>
						目       录 工业物联网和集成系统解决方案的技术路线... 1 前言... 1 第一章           系统架构... 3 1.1           硬件构架图... 3 1.2      ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rvyog3.html" rel="bookmark" class="title">XD安全团队-www&period;xdsec&period;com</a>
					<div>
						XD安全团队(XD Security Team 以下简称XD)是一个由计算机技术爱好者自发组织成立的非营利性的研究机构,以网络信息安全领域为焦点,倡导健康的中国信息安全文化. XDSec成立于2015 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Moxp9P0.html" rel="bookmark" class="title">黑马程序员-OC-关于协议</a>
					<div>
						------- IOS培训.android培训.java培训.期待与您交流! ---------- Protocol协议 1.protocol协议就是用来声明方法的. 2.只要一个类遵守了某一份协议, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmAoQnM.html" rel="bookmark" class="title">根据经纬度获取天气信息</a>
					<div>
						let manager = AFHTTPRequestOperationManager() let url = &quot;http://api.openweathermap.org/data/2.5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ODEpK4.html" rel="bookmark" class="title">并查集基础（入门）</a>
					<div>
						最早接触并查集的时候是在做一道最小生成树问题上,当时还不会并查集,题解说用克鲁斯卡尔算法,用并查集来维护,就能够完成最小生成树. 并查集是什么呢?其实,并查集就是一个集合,它有两种操作,一个是合并(m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Nqvj83.html" rel="bookmark" class="title">Objective-C    静态变量 使用方法</a>
					<div>
						详解Objective-C中静态变量使用方法 Objective-C中静态变量使用方法是本文要介绍的内容,Objective-C 支持全局变量,主要有两种实现方式:第一种和C/C++中的一样,使用&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JdYoV0.html" rel="bookmark" class="title">Java工程师成神之路 转</a>
					<div>
						一.基础篇 1.1 JVM 1.1.1. Java内存模型,Java内存管理,Java堆和栈,垃圾回收 http://www.jcp.org/en/jsr/detail?id=133 http://i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MERK1K0.html" rel="bookmark" class="title">UESTC 1256 昊昊爱运动 Map</a>
					<div>
						昊昊爱运动 Time Limit: 3000/1000MS (Java/Others)     Memory Limit: 65535/65535KB (Java/Others) 昊昊喜欢运动 他N天 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02ydlzM.html" rel="bookmark" class="title">Python框架之Django学习笔记（十一）</a>
					<div>
						话说上次说到数据库的基本访问,而数据库我们主要进行的操作就是CRUD,也即是做计算处理时的增加(Create).读取(Retrieve)(重新得到数据).更新(Update)和删除(Delete),俗 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzBaz8M.html" rel="bookmark" class="title">EasyUI配置和组件</a>
					<div>
						首先在webcontent添加配置文件 新建静态或动态网站,在title的下面加入五个配置文件路径,注意:循序不能乱 &lt;!-- 顺序不可以乱 --&gt; &lt;!-- 1.jQuery的js ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jL9O94.html" rel="bookmark" class="title">CSS3 &commat;font-face使用实例</a>
					<div>
						Windows10操作系统使用实例: 1.准备好对应格式的字体库 2.方正字体使用实例 &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;meta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rB9D13.html" rel="bookmark" class="title">HTTP状态码&lpar;常用&rpar;</a>
					<div>
						1xx消息 这一类型的状态码,代表请求已被接受,需要继续处理.这类响应是临时响应,只包含状态行和某些可选的响应头信息,并以空行结束.由于HTTP/1.0协议中没有定义任何1xx状态码,所以除非在某些试 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rBRkb3.html" rel="bookmark" class="title">Solaris 10&lpar;x86&rpar;构建Oracle 10g RAC之--配置系统环境（1）</a>
					<div>
						系统环境: 操作系统:Solaris 10(x86-64) Cluster: Oracle CRS 10.2.0.1.0 Oracle:  Oracle 10.2.0.1.0 如图所示:RAC 系统架 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBW6kq0.html" rel="bookmark" class="title">【初始化-网卡配置】如何配置网卡</a>
					<div>
						哇 1)单网卡多IP 为eth0增加一个别名: /sbin/ifconfig eth0:1 192.168.1.223 netmask 255.255.255.0 up 2)多网卡配置 内网网卡1设置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0klNo73.html" rel="bookmark" class="title">打印出Ibatis最终的SQL语句</a>
					<div>
						做项目时遇到这样的需求,希望能打印出最终数据库执行的SQL语句,一般遇到这些有一定通用性的问题,我都会到Appfuse中去找找例子,结果这次没有成功.它是有相关的配置,但是好像没有用,我也就没有深查下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OXA2o4.html" rel="bookmark" class="title">asp&period;net DataTable导出 excel的方法记录（第三方）</a>
					<div>
						官网:http://npoi.codeplex.com/ 简单应用,主要是可以实现我们想要的简单效果,呵呵 需要引入dll,可以在官网下载,也可在下面下载 C#代码   protected void  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vXjj6M.html" rel="bookmark" class="title">find命令下的atime&comma;ctime&comma;mtime</a>
					<div>
						Linux下的find命令在目录结构中搜索文件,并执行指定的操作.linux下的find命令提供了相当多的查找条件,功能很强大,由于find的功能很强大,所以他的选项也很多,今天我们来细说一下find ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
